petsc-3.4.2 2013-07-02

# DMCoarsen

Coarsens a DM object

### Synopsis

    #include "petscdm.h"
    PetscErrorCode  DMCoarsen(DM dm, MPI_Comm comm, DM *dmc)

Collective on DM

### Input Parameter

| dm | - the DM object
| comm | - the communicator to contain the new DM object (or MPI_COMM_NULL)

### Output Parameter

dmc -the coarsened DM

### See Also

DMRefine(), DMDestroy(), DMView(), DMCreateGlobalVector(), DMCreateInterpolation()

Level:developer
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/examples/tutorials/ex65dm.c.html